<style lang="less">
@import "@/styles/table-common.less";
@import "@/styles/drawer-common.less";
@import "src/views/your/order-manage/orderEvaluateManage.less";
</style>
<template>
  <div class="search">
    <Card>
      <Row class="operation">
        <Date-picker clearable @on-change="time1" format="yyyy-MM-dd" type="date" placement="bottom-end" placeholder="请选择订货日期" style="width: 240px;margin-left: 20px">
        </Date-picker>
<!--         <Button @click="init2" icon="md-refresh">查询</Button>-->
         &nbsp;&nbsp;<Button @click="jiexi" icon="md-redo" :loading="loading2">解析订单</Button>
      </Row>
      <Table
        :loading="loading"
        border
        :columns="columns"
        :data="data"
        ref="table"
      ></Table>
      <Row type="flex" justify="end" class="page">
        <Page
          :current="searchForm.pageNumber"
          :total="total"
          :page-size="searchForm.pageSize"
          @on-change="changePage"
          @on-page-size-change="changePageSize"
          :page-size-opts="[10, 20, 50]"
          size="small"
          show-total
          show-elevator
          show-sizer
        ></Page>
      </Row>
    </Card>

    <!-- 编辑 -->
  </div>
</template>

<script>
import {
  findPageOrderTask,
  jiexiOrder
} from "@/api/open";
export default {
  name: "car-manage",
  data() {
    return {
      maxHeight: 510,
      openTip: true,
      loading2:false,
      openLevel: "0",
      loading: true,
      modalTitle: "",
      modalVisible:false,
      searchForm: {
        pageNumber: 1, // 当前页数
        pageSize: 10, // 页面大小
        sort: "sendDate", // 默认排序字段
        order: "desc", // 默认排序方式
      },
      searchForm2: {
        pageNumber: 1, // 当前页数
        pageSize: 10, // 页面大小
        sort: "sendDate", // 默认排序字段
        order: "desc", // 默认排序方式
      },
      submitLoading: false,
      selectList: [],
      columns: [
        {
          type: "index",
          width: 60,
          align: "center",
        },
        {
          title: "商户名称",
          key: "customerName",
          ellipsis:true,
        },
        {
          title: "商户联系人",
          key: "linker",
          width: 130,
        },
        {
          title: "分段名称",
          key: "areaSectionName",
          width: 100,
        },
        {
          title: "送货条数",
          key: "num",
          width: 100,
        },
        {
          title: "定货日期",
          key: "orderDate",
          width: 160,
        },
        {
          title: "送货日期",
          key: "sendDate",
          width: 160,
        },
      ],
      data: [],
      total: 0,
      cityList: [
        {
          value: 0,
          label: '待配送'
        },
        {
          value: 1,
          label: '已送达'
        },
        {
          value: 2,
          label: '异常签收'
        }
      ],
    };
  },
  methods: {
    init() {
      this.getDataList();
    },
    init2() {
      this.getDataList2();
    },
    jiexi(){
      if(this.searchForm.sendDate==null || this.searchForm.sendDate==''){
        this.$Message.error("请选择日期")
        return;
      }
      this.loading2 = true
      jiexiOrder({sendTime:this.searchForm.sendDate}).then((res) => {
         this.loading2 = false;
         this.init()
      });
    },
    time1(e){
      this.searchForm.sendDate = e;
      this.searchForm2.sendDate = e;
      this.getDataList();
    },
    changePage(v) {
      this.searchForm.pageNumber = v;
      this.getDataList();
      this.clearSelectAll();
    },
    changePageSize(v) {
      this.searchForm.pageSize = v;
      this.getDataList();
    },
    getDataList() {
      this.loading = true;
      findPageOrderTask(this.searchForm).then((res) => {
        this.loading = false;
        if (res.success) {
          this.data = res.result.records;
          this.total = res.result.total;
        }
      });
    },
    getDataList2() {
      this.loading = true;
      findPageOrderTask(this.searchForm2).then((res) => {
        this.loading = false;
        if (res.success) {
          this.data = res.result.records;
          this.total = res.result.total;
        }
      });
    },
  },
  mounted() {
    this.maxHeight = Number(document.documentElement.clientHeight - 121) + "px";
    this.init();
  },
};
</script>
